inna_liczba = [555]
kolory = ("red", "blue")

slownik = {}

def liczymy(liczba):
    print(f"{id(liczba)=}")
    inna_liczba.append(liczba)
    slownik['lista'] = liczba
    print(f"{id(inna_liczba)=} / {inna_liczba=}")
    tmp_liczba = inna_liczba.copy()
    tmp_liczba.append(0)
    return (liczba+10)*3

print("AA", id(inna_liczba))
q = liczymy(100)
print(q)
liczba = 200
print("A", id(liczba), "B", id(inna_liczba))

liczymy(120)
liczymy(220)
liczymy(320)
liczymy(420)
liczymy(520)

print(inna_liczba, slownik)